Bug 217560 - (CVE-2006-5868) CVE-2006-5868 Insufficient boundary check in ImageMagick's SGIDecode()
CVE-2006-5868 Insufficient boundary check in ImageMagick's SGIDecode()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
http://www.debian.org/security/2006/d...
source=debian,reported=20061128,publi...
: Security
Depends On: 217558
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 12:00 EST by Lubomir Kundrak
Modified: 2008-04-26 03:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 03:43:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2006-11-28 12:00:19 EST
+++ This bug was initially created as a clone of Bug #217558 +++

Description of problem:

Debian team issued an ImageMagick update DSA-1213-1 where they reportedly fixed
an issue in SGI image handling routine.

See their Changelog entry:
  * Fix insufficient boundary checks in SGIDecode() (discovered by Daniel
    Kobras)
And excerpt from their advisory:
    Daniel Kobras discovered that Imagemagick is vulnerable to buffer
    overflows in the module for SGI images.

Version-Release number of selected component (if applicable):

RHEL2.1-RHEL4, FC5, FC6

Additional info:

I attach relevant part of the debian patch. Please have a look at it.

-- Additional comment from lkundrak@redhat.com on 2006-11-28 11:57 EST --
Created an attachment (id=142305)
Part that fixes CVE-2006-5868 issue, from debian
Comment 1 Lubomir Kundrak 2006-12-21 15:05:54 EST
Upstream's revision 4399 (which went into 6.2.9) changes SGIDecode quite
radically, possibly to address the issue. I wish they learned to write commit
messages. I mailed the upstream to get some more clue...

Comment 2 Lubomir Kundrak 2006-12-22 05:29:26 EST
Upstream states that the flaw was corrected in 6.2.9.1.
Comment 3 Lubomir Kundrak 2007-11-02 13:40:00 EDT
Please close if ImageMagick-6.2.8.0-4.fc6 fixes this, otherwise push the fix. I
think rebasing would be the best thing to do here.
Comment 4 Bug Zapper 2008-04-04 00:59:44 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Hans de Goede 2008-04-26 03:43:46 EDT
Short intro: I'm a new co-maintainer of ImageMagick and as such walking through
all open bugs.

This bug is fixed in F-7 and newerm closing.

Note You need to log in before you can comment on or make changes to this bug.